%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name babel-plugin-module-resolver

Name: %{?scl_prefix}nodejs-babel-plugin-module-resolver
Version: 3.2.0
Release: 3%{?dist}
Summary: Module resolver plugin for Babel
License: MIT
Group: Development/Libraries
URL: https://github.com/tleunen/babel-plugin-module-resolver#readme
Source0: https://registry.npmjs.org/babel-plugin-module-resolver/-/babel-plugin-module-resolver-3.2.0.tgz
Source1: https://registry.npmjs.org/balanced-match/-/balanced-match-1.0.0.tgz
Source2: https://registry.npmjs.org/brace-expansion/-/brace-expansion-1.1.11.tgz
Source3: https://registry.npmjs.org/concat-map/-/concat-map-0.0.1.tgz
Source4: https://registry.npmjs.org/find-babel-config/-/find-babel-config-1.2.0.tgz
Source5: https://registry.npmjs.org/find-up/-/find-up-2.1.0.tgz
Source6: https://registry.npmjs.org/fs.realpath/-/fs.realpath-1.0.0.tgz
Source7: https://registry.npmjs.org/glob/-/glob-7.1.4.tgz
Source8: https://registry.npmjs.org/inflight/-/inflight-1.0.6.tgz
Source9: https://registry.npmjs.org/inherits/-/inherits-2.0.4.tgz
Source10: https://registry.npmjs.org/json5/-/json5-0.5.1.tgz
Source11: https://registry.npmjs.org/locate-path/-/locate-path-2.0.0.tgz
Source12: https://registry.npmjs.org/minimatch/-/minimatch-3.0.4.tgz
Source13: https://registry.npmjs.org/once/-/once-1.4.0.tgz
Source14: https://registry.npmjs.org/p-limit/-/p-limit-1.3.0.tgz
Source15: https://registry.npmjs.org/p-locate/-/p-locate-2.0.0.tgz
Source16: https://registry.npmjs.org/p-try/-/p-try-1.0.0.tgz
Source17: https://registry.npmjs.org/path-exists/-/path-exists-3.0.0.tgz
Source18: https://registry.npmjs.org/path-is-absolute/-/path-is-absolute-1.0.1.tgz
Source19: https://registry.npmjs.org/path-parse/-/path-parse-1.0.6.tgz
Source20: https://registry.npmjs.org/pkg-up/-/pkg-up-2.0.0.tgz
Source21: https://registry.npmjs.org/reselect/-/reselect-3.0.1.tgz
Source22: https://registry.npmjs.org/resolve/-/resolve-1.12.0.tgz
Source23: https://registry.npmjs.org/wrappy/-/wrappy-1.0.2.tgz
Source24: nodejs-babel-plugin-module-resolver-%{version}-registry.npmjs.org.tgz
%if 0%{?scl:1}
BuildRequires: %{?scl_prefix_nodejs}npm
%else
BuildRequires: nodejs-packaging
%endif
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}
Provides: bundled(npm(babel-plugin-module-resolver)) = 3.2.0
Provides: bundled(npm(balanced-match)) = 1.0.0
Provides: bundled(npm(brace-expansion)) = 1.1.11
Provides: bundled(npm(concat-map)) = 0.0.1
Provides: bundled(npm(find-babel-config)) = 1.2.0
Provides: bundled(npm(find-up)) = 2.1.0
Provides: bundled(npm(fs.realpath)) = 1.0.0
Provides: bundled(npm(glob)) = 7.1.4
Provides: bundled(npm(inflight)) = 1.0.6
Provides: bundled(npm(inherits)) = 2.0.4
Provides: bundled(npm(json5)) = 0.5.1
Provides: bundled(npm(locate-path)) = 2.0.0
Provides: bundled(npm(minimatch)) = 3.0.4
Provides: bundled(npm(once)) = 1.4.0
Provides: bundled(npm(p-limit)) = 1.3.0
Provides: bundled(npm(p-locate)) = 2.0.0
Provides: bundled(npm(p-try)) = 1.0.0
Provides: bundled(npm(path-exists)) = 3.0.0
Provides: bundled(npm(path-is-absolute)) = 1.0.1
Provides: bundled(npm(path-parse)) = 1.0.6
Provides: bundled(npm(pkg-up)) = 2.0.0
Provides: bundled(npm(reselect)) = 3.0.1
Provides: bundled(npm(resolve)) = 1.12.0
Provides: bundled(npm(wrappy)) = 1.0.2
AutoReq: no
AutoProv: no

%if 0%{?scl:1}
%define npm_cache_dir npm_cache
%else
%define npm_cache_dir /tmp/npm_cache_%{name}-%{version}-%{release}
%endif

%description
%{summary}

%prep
mkdir -p %{npm_cache_dir}
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
for tgz in %{sources}; do
  echo $tgz | grep -q registry.npmjs.org || npm cache add --cache %{npm_cache_dir} $tgz
done
%{?scl:end_of_scl}

%setup -T -q -a 24 -D -n %{npm_cache_dir}

%build
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
npm install --cache-min Infinity --cache %{?scl:../}%{npm_cache_dir} --no-shrinkwrap --no-optional --global-style true %{npm_name}@%{version}
%{?scl:end_of_scl}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/node_modules %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%clean
rm -rf %{buildroot} %{npm_cache_dir}

%files
%{nodejs_sitelib}/%{npm_name}
%license node_modules/%{npm_name}/LICENSE.md
%doc node_modules/%{npm_name}/CHANGELOG.md
%doc node_modules/%{npm_name}/README.md

%changelog
* Tue Oct 22 2019 Eric D. Helms <ericdhelms@gmail.com> - 3.2.0-3
- Build for SCL

* Sun Oct 06 2019 Eric D. Helms <ericdhelms@gmail.com> - 3.2.0-2
- Update to allow building for SCL

* Thu May 02 2019 Ivan Nečas <inecas@redhat.com> 3.2.0-1
- Add nodejs-babel-plugin-module-resolver generated by npm2rpm using the bundle strategy
